Subject: Re: git-gui i18n status?

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 16 Sep 2007 23:20:42 -0400

Christian Stimming <[email-masked]> wrote:
> One question came up when seeing the i18n code really in git-gui.git: How are 
> translators supposed to submit new or updated translations? Is 
> git-gui-i18n.git of any use anymore? This doesn't seem so. Should updated 
> translations just be submitted by email to git@vger? In any case, the 
> instructions in po/README should probably be updated to explain the 
> recommended way of submitting translation updates. 

I was sort of hoping Dscho would be able to answer that.  ;-)

I can play patch-monkey and apply things people send to the mailing
list.  I'm also willing to pull from a tree if the commit history
is clean and mergable.  Since each language more or less stands
on its own in its own .po file translators may find it easier to
email patches.  I dunno, I'm not a translator.
 
> Oh, and po/git-gui.pot should probably be updated to reflect the latest string 
> additions and changes. 

Yes.  Dscho was looking at creating a custom diff filter for git
that would better handle showing diffs here.  I was sort of waiting
for progress from that (if any) before doing the pot update.  I also
have a lot of UI work that I wanted to do in the 0.9.x series and
those are likely to create/change the sets of messages we need
to translate.

-- 
Shawn.